> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-commerce/add-ons/packages/product-feeds/installation.md).

# Installation

Detailed instructions on how to install and configure Product Feeds into your Umbraco Commerce implementation.

The Product Feeds package can be installed directly into your project's code base using NuGet packages.

## Getting started

Below you can find some steps on installing the package using NuGet and getting started with implementing the Product Feeds into your Umbraco Commerce store.

1. Install the package from [NuGet](https://www.nuget.org/packages/Umbraco.Commerce.ProductFeeds/)
2. Locate where you [register the dependencies](/umbraco-commerce/key-concepts/umbraco-commerce-builder.md#registering-dependencies) `IUmbracoBuilder.AddUmbracoCommerce()` and add a call to `IUmbracoCommerceBuilder.AddCommerceProductFeeds()` to add this plugin to your website.

   ```csharp
    umbracoBuilder.AddUmbracoCommerce(ucBuilder => {
        ucBuilder.AddCommerceProductFeeds(); // add this line
    }
   ```
3. Open your store's setting page in the backoffice.
4. Click on `Product Feed` section.

![product feed list page](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-e5b26e1e5221958b1583b4c39c0887aa5d6bbbc7%2Fproduct-feed-list-page.png?alt=media)

5. Click on `Create Product Feed` button and fill in the feed settings. Mandatory fields are marked with a red asterisk (\*). You can add more product data by adding new mappings in `Property And Node Mapping` section.

![feed setting page](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-72173863577946cb08648267755a9c03ac1c08a3%2Ffeed-setting-page.png?alt=media)

6. After saving the feed setting, a link to access the feed will show up under `Feed URL Segment` field and at the bottom of the page.

![open feed link](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-d6198c79e4265e5a918be2d9518febefe69c7ae4%2Fopen-feed-link.png?alt=media)

**Google Merchant Center Feed** sample:

![google merchant center feed](https://961659879-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FP5oHq9zZ5dr8blWsnRJc%2Fuploads%2Fgit-blob-dbceb11e853012c39ba6c6877f86b6d855e6413c%2Fgoogle-merchant-center-feed.png?alt=media)

### Upgrading

{% hint style="info" %}
Even though the package modifies only the `umbracoCommerceProductFeedSetting` table, it is always advisable to take a complete backup of your site/database before upgrading.
{% endhint %}

The Product Feeds package uses a database migration for both installs and upgrades. Upgrading is generally a case of installing the latest version via NuGet over the existing package and restarting the website.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-commerce/add-ons/packages/product-feeds/installation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
